Create request to import new users into account
Creates a request to import new users.
Your CSV import file is made up of a header row with the column headers and a row of user or account data for each user you want to add to an account. Only new users can be imported. Any changes to existing users will be ignored. To make changes to existing users, use UserImport:updateBulkUserImports.
To ensure your CSV file is properly formatted, follow the requirements in the Support article Build a CSV to Bulk Add Users. You can download an example file from the Add Users dialogue in the Admin UI.
You can add up to 2,000 users to an account and include up to 50 accounts per import. The maximum number of users per import is 8,000.
Required authentication scopes: user_write.
Next steps
Authentication
AuthorizationBearer
OAuth2 Access code Grant
Path parameters
organizationId
The organization ID Guid
Request
This endpoint expects a multipart form containing a file.
file.csv
CSV file.
Response
OK
id
type
requestor
created
last_modified
status
Status.
user_count
processed_user_count
added_user_count
updated_user_count
closed_user_count
no_action_required_user_count
error_count
warning_count
invalid_column_headers
imports_not_found_or_not_available_for_accounts
imports_failed_for_accounts
imports_timed_out_for_accounts
imports_not_found_or_not_available_for_sites
imports_failed_for_sites
imports_timed_out_for_sites
file_level_error_rollups
user_level_error_rollups
user_level_warning_rollups
has_csv_results
results_uri